<?php
if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//				Suppression d'un concours
// +-----------------------------------------------------------------------+
if (isset($_GET['delete_contest'])) {
	pwg_query('DELETE FROM ' . CR_TABLE_1 . ' WHERE id = ' . $_GET['delete_contest'] . ';');
	pwg_query('DELETE FROM ' . CR_TABLE_2 . ' WHERE contest_id = ' . $_GET['delete_contest'] . ';');
	redirect(CR_ADMIN .'&amp;tab=manage&amp;msg=deleted');
}

if (isset($_GET['msg'])){
	array_push($page['infos'], l10n('CR_contest_'. $_GET['msg']));
}

// +-----------------------------------------------------------------------+
//				Affichage des concours
// +-----------------------------------------------------------------------+
$contests = pwg_query("SELECT 
		id, 
		name, 
		visible, 
		date_begin, 
		date_end, 
		logo
	FROM " . CR_TABLE_1 . "
	ORDER BY date_begin DESC;");

while ($contest = pwg_db_fetch_assoc($contests)) {
	if (is_date_passed($contest['date_end'])) {
		$contest['status'] = 'finished';
	} else { 
		$contest['status'] = 'pending';
	}
	$template->append('contests_'.$contest['status'], array(
		'NAME' => trigger_event('render_CR_content', $contest['name']),
		'VISIBLE' => $contest['visible'],
		'DATE_BEGIN' => format_date($contest['date_begin']),
		'DATE_END' => format_date($contest['date_end']),
		'LOGO' => $contest['logo'],
		'U_RESULTS' => CR_ADMIN . '&amp;tab=results&amp;contest_id=' . $contest['id'],
		'U_EDIT' => CR_ADMIN . '&amp;tab=edit&amp;contest_id=' . $contest['id'],
		'U_DELETE' => CR_ADMIN . '&amp;delete_contest=' . $contest['id'],
		'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
		'DAYS' => DateDiff($contest['date_end'],date('Y-m-d')),
	));
}

// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/manage.tpl'));
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>