{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
{combine_script id='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.core.min.js'}
{combine_script id='jquery.ui.sortable' path='themes/default/js/ui/minified/jquery.ui.sortable.min.js'}
{combine_script id='jquery.cluetip' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
{combine_css id='cr_admin_style' path=$CR_PATH|@cat:'admin/template/style.css'}
{include file='include/autosize.inc.tpl'}
{include file='include/datepicker.inc.tpl'}

{html_head}
	<script type="text/javascript">
		// AJOUTE UN CHAMP DE RESULTAT
		function CreateDescField(j, new_contest){ldelim}
			// Si il n'y a aucun rsultats on efface le message
			if(new_contest) document.getElementById('categoryUl').innerHTML = '';
			
			// Ajoute  la fin de la liste une nouvelle ligne de rsultat vide
			var new_result = document.createElement('li');
			new_result.setAttribute('id', 'desc_'+(j));
			new_result.setAttribute('class', 'categoryLi virtual_cat');
			document.getElementById('categoryUl').appendChild(new_result);
			
			// Contenu de la ligne
			new_result.innerHTML = '<ul class="categoryActions"> '+
					'<li> '+
						'<a href="#" title="{'CR_delete_desc'|@translate}" onclick="DeleteDescField('+ j +');return false;"> '+
							'<img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'CR_delete_result'|@translate}"/> '+
						'</a> '+
					'</li> '+
				'</ul> '+
				'<p> '+
					'<img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" title="{'Drag to re-order'|@translate}"> '+
					'<input type="text" size="65" name="description['+ j +'][name]" value=""/> '+
					'<textarea class="result_comment" name="description['+ j +'][content]"></textarea> '+
				'</p> '+
				'<p class="catPos">{'CR_rank'|@translate} : <input type="text" name="description['+ j +'][rank]" value=""/></p>';
			
			// Remplace le lien de cration
			document.getElementById('AddLink').innerHTML = '<input class="submit" type="reset" onclick="CreateDescField('+ (j+1) +');return false;" value="{'CR_addfield'|@translate}"/>';
			
			// Rinitiliase les fonctions jQuery
			jQuery('.catPos').hide();
			jQuery('.drag_button').show();
			jQuery('.categoryLi').css('cursor', 'move');
			jQuery('textarea').autogrow();
			jQuery('textarea').css('overflow-y', 'hidden');
			vtip();
		}
		
		// SUPPRIME UN CHAMP DE RESULTAT
		function DeleteDescField(k){ldelim}
			var result = document.getElementById('desc_'+k);
			var parent = result.parentNode;
			parent.removeChild(result);
		}

		jQuery().ready(function(){ldelim}
			//  Drag-and-Drop
			jQuery('.catPos').hide();
			jQuery('.drag_button').show();
			jQuery('.categoryLi').css('cursor', 'move');
			jQuery('.categoryUl').sortable({ldelim}
				axis: 'y',
				opacity: 0.8
			});
			jQuery('#categoryOrdering').submit(function(){ldelim}
				ar = jQuery('.categoryUl').sortable('toArray');
				for(i=0; i<ar.length; i++) {ldelim}
					cat = ar[i].split('desc_');
					document.getElementsByName('description[' + cat[1] + '][rank]')[0].value = i+1;
				}
			});
			// Cluetip
			jQuery('.cluetip').cluetip({ldelim}
				width: 550,
				splitTitle: '|'
			});
		});

		$(function() {ldelim}
			$('#DateBegin').datepicker({ldelim}dateFormat:'yy-mm-dd', firstDay:1});
			$('#DateEnd').datepicker({ldelim}dateFormat:'yy-mm-dd', firstDay:1});
		});
	</script>

	<style type="text/css">
		.cluetip:after {ldelim}
			content:url('{$themeconf.admin_icon_dir}/help.png');
		}
	</style>
{/html_head}

<h2 style="float:right;top:-24px;position:relative;font-style:italic;margin-bottom:-20px;font-size:12px;font-weight:normal;">{$CR_VERSION}</h2>

<div class="titrePage">
	<h2>
	{if isset($ID)}
		{'CR_edit_tab'|@translate|cat:' : '|cat:$NAME}
	{else}
		{'CR_new_tab'|@translate}
	{/if}
	</h2>
</div>

<form method="post" action="" class="properties" id="categoryOrdering">
	<fieldset>
		<legend>{'Configuration'|@translate}</legend>
		
		<table>
			<tr>
				<td><span class="title cluetip" title="{'CR_title'|@translate}|{'CR_help_title'|@translate}">{'CR_title'|@translate}</span></td>
				<td colspan="3"><input type="text" size="65" maxlength="255" name="name" value="{$NAME}"/></td>
			</tr>
			
			<tr><td colspan="4"><br/></td></tr>
			
			<tr>
				<td><span class="title cluetip" title="{'CR_visible'|@translate}|{'CR_help_visible'|@translate}">{'CR_visible'|@translate}</span></td>
				<td>
					<label><input type="radio" name="visible" value="1" {if $VISIBLE == 1}checked="checked"{/if}> {'Yes'|@translate}</label>
					<label><input type="radio" name="visible" value="0" {if $VISIBLE == 0}checked="checked"{/if}> {'No'|@translate}</label>
				</td>
				<td colspan="2"></td>
			</tr>
			<tr>
				<td><span class="title">{'CR_dateB'|@translate}</span></td>
				<td><input type="text" size="11" maxlength="10" value="{$DATE_BEGIN}" id="DateBegin" class="inputdate" name="date_begin"/></td>
				<td><span class="title">{'CR_dateE'|@translate}</span></td>
				<td><input type="text" size="11" maxlength="10" value="{$DATE_END}" id="DateEnd" class="inputdate" name="date_end"/></td>
			</tr>

			<tr><td colspan="4"><br/></td></tr>
			
			<tr>
				<td><span class="title">{'CR_logo'|@translate}</span></td>
				<td colspan="3"><input type="text" style="width:100%;" maxlength="255" value="{$LOGO}" name="logo"/></td>
			</tr>
			<tr>
				<td><span class="title">{'CR_banner'|@translate}</span></td>
				<td colspan="3"><input type="text" style="width:100%;" maxlength="255" value="{$BANNER}" name="banner"/></td>
			</tr>
			
			<tr><td colspan="4"><br/></td></tr>
			
			<tr>
				<td><span class="title cluetip" title="{'CR_summary'|@translate}|{'CR_help_summary'|@translate}">{'CR_summary'|@translate}</span></td>
				<td colspan="3"><textarea name="summary" rows="4" style="width:100%;">{$SUMMARY}</textarea></td>
			</tr>
		</table>
	</fieldset>
	
	<fieldset>
		<legend><span class="title cluetip" title="{'CR_textareas'|@translate}|{'CR_help_textareas'|@translate}">{'CR_textareas'|@translate}</span></legend>
		
		<ul class="categoryUl" id="categoryUl">
		{counter start=0 assign=i}
		{if isset($description)}
			{foreach from=$description item=desc}
				<li class="categoryLi" id="desc_{$i}">
					<ul class="categoryActions">
						<li>
							<a href="#" title="{'CR_delete_desc'|@translate}" onclick="DeleteDescField({$i});return false;">
								<img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'CR_delete_result'|@translate}"/>
							</a>
						</li>
					</ul>
					
					<p>
						<img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" title="{'Drag to re-order'|@translate}">
						<input type="text" size="65" name="description[{$i}][name]" value="{$desc.NAME}"/>
						<textarea class="result_comment" name="description[{$i}][content]">{$desc.CONTENT}</textarea>
					</p>
					<p class="catPos">{'CR_rank'|@translate} : <input type="text" name="description[{$i}][rank]" value="{$desc.RANK}"/></p>
				</li>
				{counter}
			{/foreach}
		{else}
			{'CR_no_result'|@translate}
		{/if}
		</ul>
		
		<span id="AddLink"><input class="submit" type="reset" onclick="CreateDescField({$i}{if !isset($description)}, true{/if});return false;" value="{'CR_addfield'|@translate}"/></span>
	</fieldset>

	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="new_submit"/></p>
</form>