{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
{combine_script id='jquery.ui' path='themes/default/js/ui/minified/jquery.ui.core.min.js'}
{combine_script id='jquery.ui.sortable' path='themes/default/js/ui/minified/jquery.ui.sortable.min.js'}
{combine_script id='jquery.cluetip' path='themes/default/js/plugins/jquery.cluetip.packed.js'}
{combine_script id='jquery.vtip' path=$CR_PATH|@cat:'admin/template/vtip.js'}
{combine_css id='cr_admin_style' path=$CR_PATH|@cat:'admin/template/style.css'}
{include file='include/autosize.inc.tpl'}

{html_head}
	<script type="text/javascript">
		// AJOUTE UN CHAMP DE RESULTAT
		function CreateResultField(j, new_contest){ldelim}
			// Si il n'y a aucun résultats on efface le message
			if(new_contest) document.getElementById('categoryUl').innerHTML = '';
			
			// Ajoute à la fin de la liste une nouvelle ligne de résultat vide
			var new_result = document.createElement('li');
			new_result.setAttribute('id', 'result_'+(j));
			new_result.setAttribute('class', 'categoryLi virtual_cat');
			document.getElementById('categoryUl').appendChild(new_result);
			
			// Contenu de la ligne
			new_result.innerHTML = '<ul class="categoryActions"> '+
					'<li> '+
						'<a href="#" title="{'CR_delete_result'|@translate}" onclick="DeleteResultField('+ j +');return false;"> '+
							'<img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'CR_delete_result'|@translate}"/> '+
						'</a> '+
					'</li> '+
				'</ul> '+
				'<p> '+
					'<img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" title="{'Drag to re-order'|@translate}"> '+
					'{'CR_image_no'|@translate} <input type="text" size="6" name="results['+ j +'][image_id]" value="" onkeyup="UpdatePreview('+ j +', this);"/> '+
					'<span id="preview-'+ j +'"> '+
						'<span class="vtip" title="<img src=\'admin/themes/default/icon/errors.png\'/><br>N/A"> '+
							'<img src="{$CR_PATH}admin/template/image/images.png"/> '+
						'</span> '+
					'</span> '+
					'{'CR_author'|@translate} : <input type="text" name="results['+ j +'][author]" value=""/> '+
					'<textarea class="result_comment" name="results['+ j +'][comment]"></textarea> '+
				'</p> '+
				'<p class="catPos">{'CR_rank'|@translate} : <input type="text" name="results['+ j +'][rank]" value=""/></p>';
			
			// Remplace le lien de création
			document.getElementById('AddLink').innerHTML = '<input class="submit" type="reset" onclick="CreateResultField('+ (j+1) +');return false;" value="{'CR_addfield'|@translate}"/>';
			
			// Réinitiliase les fonctions jQuery
			jQuery('.catPos').hide();
			jQuery('.drag_button').show();
			jQuery('.categoryLi').css('cursor', 'move');
			jQuery('textarea').autogrow();
			jQuery('textarea').css('overflow-y', 'hidden');
			vtip();
		}
		
		// SUPPRIME UN CHAMP DE RESULTAT
		function DeleteResultField(k){ldelim}
			var result = document.getElementById('result_'+k);
			var parent = result.parentNode;
			parent.removeChild(result);
		}

		jQuery().ready(function(){ldelim}
			//  Drag-and-Drop
			jQuery('.catPos').hide();
			jQuery('.drag_button').show();
			jQuery('.categoryLi').css('cursor', 'move');
			jQuery('.categoryUl').sortable({ldelim}
				axis: 'y',
				opacity: 0.8
			});
			jQuery('#categoryOrdering').submit(function(){ldelim}
				ar = jQuery('.categoryUl').sortable('toArray');
				for(i=0; i<ar.length; i++) {ldelim}
					cat = ar[i].split('result_');
					document.getElementsByName('results[' + cat[1] + '][rank]')[0].value = i+1;
				}
			});
			// Cluetip
			jQuery('.cluetip').cluetip({ldelim}
				width: 550,
				splitTitle: '|'
			});
		});
		
		// MET A JOUR LA PREVISUALISATION DE L'IMAGE
		function UpdatePreview(image_id, input){ldelim}
			$.get("{$CR_PATH}admin/get_tn.php", {ldelim}image_id: input.value},
				function success(data){ldelim}
					document.getElementById('preview-'+image_id).innerHTML = '<span class="vtip" title="'+ data + '">'+
							'<img src="{$CR_PATH}admin/template/image/images.png"/>'+
						'</span>';
					vtip();
				}
			);
		}
	</script>
	
	<style type="text/css">
		.cluetip:after {ldelim}
			content:url('{$themeconf.admin_icon_dir}/help.png');
		}
	</style>
{/html_head}

<h2 style="float:right;top:-24px;position:relative;font-style:italic;margin-bottom:-20px;font-size:12px;font-weight:normal;">{$CR_VERSION}</h2>

<div class="titrePage">
	<h2><span class="cluetip" title="{'CR_results_tab'|@translate}|{'CR_help_results'|@translate}">{'CR_results_tab'|@translate|cat:' : '|cat:$NAME} </span></h2>
</div>

<form method="post" id="categoryOrdering" action="">
	<ul class="categoryUl" id="categoryUl">
	{counter start=0 assign=i}
	{if isset($results)}
		{foreach from=$results item=result}
			<li class="categoryLi {if $result.IMAGE_NAME == 'N/A'}error_cat{/if}" id="result_{$i}">
				<ul class="categoryActions">
					<li>
						<a href="#" title="{'CR_delete_result'|@translate}" onclick="DeleteResultField({$i});return false;">
							<img src="{$themeconf.admin_icon_dir}/category_delete.png" class="button" alt="{'CR_delete_result'|@translate}"/>
						</a>
					</li>
				</ul>
				
				<p>
					<img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" style="display:none;" title="{'Drag to re-order'|@translate}">
					{'CR_image_no'|@translate} <input type="text" size="6" name="results[{$i}][image_id]" value="{$result.IMAGE_ID}" onkeyup="UpdatePreview({$i}, this);"/>
					
					<span id="preview-{$i}">
						<span class="vtip" title="<img src='{$result.TN_SRC}'/><br>{$result.IMAGE_NAME}">
							<img src="{$CR_PATH}admin/template/image/images.png"/>
						</span>
					</span>
					
					{'CR_author'|@translate} : <input type="text" name="results[{$i}][author]" value="{$result.AUTHOR}"/>
					<textarea class="result_comment" name="results[{$i}][comment]">{$result.COMMENT}</textarea>
				</p>
				<p class="catPos">{'CR_rank'|@translate} : <input type="text" name="results[{$i}][rank]" value="{$result.RANK}"/></p>
			</li>
			{counter}
		{/foreach}
	{else}
		{'CR_no_result'|@translate}
	{/if}
	</ul>
	
	<p>
		<span id="AddLink"><input class="submit" type="reset" onclick="CreateResultField({$i}{if !isset($results)}, true{/if});return false;" value="{'CR_addfield'|@translate}"/></span>
		<input class="submit" type="submit" value="{'Submit'|@translate}" name="results_modify"/>
	</p>
</form>